MIXER(8)

NAME
mixer - set/display soundcard mixer values

SYNOPSIS
mixer [-f device] [-s | -S] [ dev [ [+|-] lvol [:[+|-]rvol]]] ...
mixer [-f device] [-s | -S] recsrc ...
mixer [-f device] [-s | -S] { ^|+|-|= } rec rdev ...

DESCRIPTION
The mixer utility is used to set and display soundcard mixer device levels. It may also be used to start and stop recording from the soundcard. The list of mixer devices that may be modified are:

vol, bass, treble, synth, pcm, speaker, line, mic, cd, mix, pcm2, rec, igain, ogain, line1, line2, line3, dig1, dig2, dig3, phin, phout, video, radio, and monitor.

Not all mixer devices are available.

Without any arguments, mixer displays the current settings for all supported devices, followed by information about the current recording input devices. If the dev argument is specified, mixer displays only the value for that dev.

To modify the mixer value dev, the optional left and right channel settings of lvol[:rvol] may be specified. The lvol and rvol arguments may be from 0 - 100. Omitting dev and including only the channel settings will change the main volume level.

If the left or right channel settings are prefixed with + or -, the value following will be used as a relative adjustment, modifying the current settings by the amount specified.

If the -s flag is used, the current mixer values will be displayed in a format suitable for use as the command-line arguments to a future invocation of mixer (as above).

The -S flag provides the above output without mixing field separators.

To change the recording device you use one of:

^rec
    toggles rdev of possible recording devices

+rec
    adds rdev to possible recording devices

-rec
    removes rdev from possible recording devices

=rec
    sets the recording device to rdev

The above commands work on an internal mask. After all the options have been parsed, it will set then read the mask from the sound card. This will let you see EXACTLY what the soundcard is using for the recording device(s).

The option recsrc will display the current recording devices.

The option -f device will open device as the mixer device.

FILES
/dev/mixer
    the default mixer device

SEE ALSO
cdcontrol(1)

HISTORY
The mixer utility first appeared in FreeBSD 2.0.5.

AUTHORS
-nosplit Original source by Craig Metz <cmetz@thor.tjhsst.edu> and Hannu Savolainen. Mostly rewritten by John-Mark Gurney <jmg@FreeBSD.org>. This manual page was written by Mike Pritchard <mpp@FreeBSD.org>.